function build_timarr, sttim, entim, increment, hours=hours, days=days
;
;+
;NAME:
;	build_timarr
;PURPOSE:
;	Build a time structure array spanning the input times
;	with a settable increment step
;INPUT:
;	sttim	- The start time
;	entim	- The end time
;	increment- The step size in seconds
;       hours   - The step size interpreted as hours 
;       days    - The step size interpreted as days 
;OUTPUT:
;	Returns a time structure
;HISTORY:
;	Written 27-Aug-93 by M.Morrison
;       5-Jul-00, made the offset variable double-precision (HSH)
;-
;
dur = int2secarr(entim, sttim)	;duration in seconds
nsec = increment
if (keyword_set(hours)) then nsec = increment*60.*60.
if (keyword_set(days)) then nsec = increment*60.*60.*24.
;
n = dur/nsec
out = anytim2ints(sttim, off=dindgen(n)*nsec)
;
return, out
end
